Index: TXM/trunk/bundles/org.txm.annotation.kr.core/src/org/txm/annotation/kr/core/conversion/XMLTXMFileRuledConversion.java
===================================================================
--- TXM/trunk/bundles/org.txm.annotation.kr.core/src/org/txm/annotation/kr/core/conversion/XMLTXMFileRuledConversion.java	(revision 3882)
+++ TXM/trunk/bundles/org.txm.annotation.kr.core/src/org/txm/annotation/kr/core/conversion/XMLTXMFileRuledConversion.java	(revision 3883)
@@ -26,11 +26,11 @@
 	
 	protected String newType;
 	
-	public static final String DELETE = "supprimer";
+	public static final String DELETE = "supprimer"; //$NON-NLS-1$
 	
-	public static final String COPY = "copier";
+	public static final String COPY = "copier"; //$NON-NLS-1$
 	
-	public static final String ABANDON = "abandon";
+	public static final String ABANDON = "abandon"; //$NON-NLS-1$
 	
 	HashSet<String> noMatchValues = new HashSet<>();
 	
@@ -58,8 +58,8 @@
 		}
 		
 		if (elementPath == null) { // where fixing txm:words
-			if (!this.newType.startsWith("#")) this.newType = "#" + this.newType;
-			if (!this.oldType.startsWith("#")) this.oldType = "#" + this.oldType;
+			if (!this.newType.startsWith("#")) this.newType = "#" + this.newType; //$NON-NLS-1$ //$NON-NLS-2$
+			if (!this.oldType.startsWith("#")) this.oldType = "#" + this.oldType; //$NON-NLS-1$ //$NON-NLS-2$
 		}
 	}
 	
@@ -99,7 +99,7 @@
 				String value = parser.getAttributeValue(i);
 				if (oldType != null && oldType.equals(att)) {
 					if (converter != null) {
-						if (debug) Log.finer("CALL CONVERTER with attribute "+att);
+						if (debug) Log.finer("CALL CONVERTER with attribute "+att); //$NON-NLS-1$
 						newValue = converter.getValue(parser, localname, att, value);
 					}
 					else {
@@ -112,12 +112,12 @@
 			}
 			
 			if (oldType == null && converter != null) {
-				if (debug) Log.finer("CALL CONVERTER with no attribute set");
+				if (debug) Log.finer("CALL CONVERTER with no attribute set"); //$NON-NLS-1$
 				newValue = converter.getValue(parser, localname, null, null);
 			}
 			
 			if (newValue != null) {
-				if (debug) Log.finer("WRITE NEWTYPE: " + newType + "=" + newValue);
+				if (debug) Log.finer("WRITE NEWTYPE: " + newType + "=" + newValue); //$NON-NLS-1$ //$NON-NLS-2$
 				writeAttribute(null, newType, newValue);
 			}
 		}
@@ -142,26 +142,26 @@
 			
 			if (!inW) super.processStartElement(); // don't write W content
 			
-			if (localname.equals("w")) {
+			if (localname.equals("w")) { //$NON-NLS-1$
 				inW = true;
 				anaValues.clear();
 				anaResps.clear();
 				
 				// initialize the new type to a empty value in case there is transformation rule
-				anaValues.put(newType, "");
-				anaResps.put(newType, "#txm_recode");
+				anaValues.put(newType, ""); //$NON-NLS-1$
+				anaResps.put(newType, "#txm_recode"); //$NON-NLS-1$
 			}
-			else if (localname.equals("ana")) {
+			else if (localname.equals("ana")) { //$NON-NLS-1$
 				inAna = true;
-				typeName = parser.getAttributeValue(null, "type");
-				respName = parser.getAttributeValue(null, "resp");
+				typeName = parser.getAttributeValue(null, "type"); //$NON-NLS-1$
+				respName = parser.getAttributeValue(null, "resp"); //$NON-NLS-1$
 				anaResps.put(typeName, respName);
 				// if (typeName != null) typeName = typeName.substring(1); // remove #
-				typeValue = "";
+				typeValue = ""; //$NON-NLS-1$
 			}
-			else if (localname.equals("form")) {
+			else if (localname.equals("form")) { //$NON-NLS-1$
 				inForm = true;
-				formValue = "";
+				formValue = ""; //$NON-NLS-1$
 			}
 		}
 	}
@@ -186,21 +186,21 @@
 		}
 		else {
 			
-			if (localname.equals("w")) {
+			if (localname.equals("w")) { //$NON-NLS-1$
 				inW = false;
 				
 				// write W content
 				try {
 					// get the value to test
 					String value = null;
-					if (oldType.equals("word")) {
+					if (oldType.equals("word")) { //$NON-NLS-1$
 						value = formValue;
 					}
 					else {
 						value = anaValues.get(oldType);
 					}
 					
-					if (newType.equals("word")) { // update form property
+					if (newType.equals("word")) { // update form property //$NON-NLS-1$
 						updateFormValueIfMatch(value);
 					}
 					else { // update a ana property
@@ -210,17 +210,17 @@
 					}
 					
 					// write the word element
-					writer.writeStartElement("txm:form");
+					writer.writeStartElement("txm:form"); //$NON-NLS-1$
 					writer.writeCharacters(formValue);
 					writer.writeEndElement();
 					
 					for (String k : anaValues.keySet()) {
 						String resp = anaResps.get(k);
-						if (resp == null) resp = "#txm_recode";
+						if (resp == null) resp = "#txm_recode"; //$NON-NLS-1$
 						
-						writer.writeStartElement("txm:ana");
-						writer.writeAttribute("resp", resp);
-						writer.writeAttribute("type", k);
+						writer.writeStartElement("txm:ana"); //$NON-NLS-1$
+						writer.writeAttribute("resp", resp); //$NON-NLS-1$
+						writer.writeAttribute("type", k); //$NON-NLS-1$
 						writer.writeCharacters(anaValues.get(k));
 						writer.writeEndElement();
 					}
@@ -229,11 +229,11 @@
 					e.printStackTrace();
 				}
 			}
-			else if (localname.equals("ana")) {
+			else if (localname.equals("ana")) { //$NON-NLS-1$
 				anaValues.put(typeName, typeValue);
 				inAna = false;
 			}
-			else if (localname.equals("form")) {
+			else if (localname.equals("form")) { //$NON-NLS-1$
 				inForm = false;
 			}
 			
@@ -279,7 +279,7 @@
 			String v = converter.getValue(parser, localname, null, value);
 			if (v != null) {
 				anaValues.put(newType, v); // do a replace if newType == oldType :-)
-				anaResps.put(newType, "#txm_recode");
+				anaResps.put(newType, "#txm_recode"); //$NON-NLS-1$
 				return; // ok stop
 			}
 		}
@@ -289,13 +289,13 @@
 				if (rule.matcher(value).matches()) {
 					value = rules.get(rule);
 					anaValues.put(newType, value); // do a replace if newType == oldType :-)
-					anaResps.put(newType, "#txm_recode");
+					anaResps.put(newType, "#txm_recode"); //$NON-NLS-1$
 					return;
 				}
 			}
 		}
-		if (DELETE.equals(mode)) anaValues.put(newType, ""); // do a replace if newType == oldType :-)
-		else if (ABANDON.equals(mode)) anaValues.put(newType, "ERROR(" + value + ")"); // do a replace if newType == oldType :-)
+		if (DELETE.equals(mode)) anaValues.put(newType, ""); // do a replace if newType == oldType :-) //$NON-NLS-1$
+		else if (ABANDON.equals(mode)) anaValues.put(newType, "ERROR(" + value + ")"); // do a replace if newType == oldType :-) //$NON-NLS-1$ //$NON-NLS-2$
 		
 		noMatchValues.add(value);
 	}
@@ -306,21 +306,21 @@
 	
 	public static void main(String args[]) {
 		try {
-			File xmlFile = new File("/home/mdecorde/xml/recode/test.xml");
-			File tmpFile = new File("/home/mdecorde/xml/recode/test-o.xml");
-			String oldType = "myattr";
-			String newType = "myattr";
+			File xmlFile = new File("/home/mdecorde/xml/recode/test.xml"); //$NON-NLS-1$
+			File tmpFile = new File("/home/mdecorde/xml/recode/test-o.xml"); //$NON-NLS-1$
+			String oldType = "myattr"; //$NON-NLS-1$
+			String newType = "myattr"; //$NON-NLS-1$
 			LinkedHashMap<Pattern, String> rules = new LinkedHashMap<>();
-			rules.put(Pattern.compile(".+"), "NEWW");
-			rules.put(Pattern.compile("x.+"), "XWORD");
-			rules.put(Pattern.compile("y"), "YWORD");
-			rules.put(Pattern.compile("y.*"), "YMULTIWORD");
-			XMLTXMFileRuledConversion converter = new XMLTXMFileRuledConversion(xmlFile, rules, "w", oldType, newType, ABANDON);
+			rules.put(Pattern.compile(".+"), "NEWW"); //$NON-NLS-1$ //$NON-NLS-2$
+			rules.put(Pattern.compile("x.+"), "XWORD"); //$NON-NLS-1$ //$NON-NLS-2$
+			rules.put(Pattern.compile("y"), "YWORD"); //$NON-NLS-1$ //$NON-NLS-2$
+			rules.put(Pattern.compile("y.*"), "YMULTIWORD"); //$NON-NLS-1$ //$NON-NLS-2$
+			XMLTXMFileRuledConversion converter = new XMLTXMFileRuledConversion(xmlFile, rules, "w", oldType, newType, ABANDON); //$NON-NLS-1$
 			converter.converter = new Converter() {
 				
 				@Override
 				public String getValue(XMLStreamReader parser, String localname, String attribute, String value) {
-					return "NEW" + value;
+					return "NEW" + value; //$NON-NLS-1$
 				}
 			};
 			System.out.println(converter.process(tmpFile));
Index: TXM/trunk/bundles/org.txm.annotation.kr.core/src/org/txm/annotation/kr/core/AnnotationWriter.java
===================================================================
--- TXM/trunk/bundles/org.txm.annotation.kr.core/src/org/txm/annotation/kr/core/AnnotationWriter.java	(revision 3882)
+++ TXM/trunk/bundles/org.txm.annotation.kr.core/src/org/txm/annotation/kr/core/AnnotationWriter.java	(revision 3883)
@@ -45,14 +45,14 @@
 		this.corpus = corpus;
 		List<String> krnames = KRAnnotationEngine.getKnowledgeRepositoryNames(corpus);
 		if (krnames.size() == 0) {
-			Log.severe(NLS.bind("** Error: no knowledge repository found in {0} corpus.", corpus));
-			throw new IllegalArgumentException("No kr in " + corpus);
+			Log.severe(NLS.bind(Messages.ErrorNoKnowledgeRepositoryFoundInP0Corpus, corpus));
+			throw new IllegalArgumentException("No kr in " + corpus); //$NON-NLS-1$
 		}
 		String firtsKRName = krnames.get(0);
 		defaultKR = KRAnnotationEngine.getKnowledgeRepository(corpus, firtsKRName);
 		if (defaultKR == null) {
-			Log.severe(NLS.bind("** Error: no knowledge repository {0} found in {0} corpus.", defaultKR, corpus));
-			throw new IllegalArgumentException("No kr " + defaultKR + " in " + corpus);
+			Log.severe(NLS.bind(Messages.ErrorNoKnowledgeRepositoryP0FoundInP1Corpus, defaultKR, corpus));
+			throw new IllegalArgumentException("No kr " + defaultKR + " in " + corpus); //$NON-NLS-1$ //$NON-NLS-2$
 		}
 		
 		types = new ArrayList<AnnotationType>();
@@ -78,7 +78,7 @@
 	 * @throws XMLStreamException
 	 */
 	protected boolean writeTextAnnotationToSyMoGIH(String textid, File currentXMLFile, File currentXMLStandoffFile, File xmlStandOffDirectory) throws IOException, CqiServerError, CqiClientException, InvalidCqpIdException, XMLStreamException {
-		Log.info("  text=" + textid);
+		Log.info(Messages.TestP0 + textid);
 		boolean show_debug = Log.getLevel().intValue() < Level.INFO.intValue();
 		
 		AnnotationSyMoGIHWriter annotationstdoff = new AnnotationSyMoGIHWriter(textid, currentXMLFile, xmlStandOffDirectory, types, show_debug);
@@ -89,11 +89,11 @@
 				return true;
 			}
 			else {
-				Log.warning(NLS.bind("Error: the {0} result file is malformed.", currentXMLStandoffFile));
+				Log.warning(NLS.bind(Messages.ErrorTheP0ResultFileIsMalformed, currentXMLStandoffFile));
 			}
 		}
 		else {
-			Log.warning(NLS.bind("Error: while processing the {0} file in standoff dir", currentXMLStandoffFile));
+			Log.warning(NLS.bind(Messages.ErrorWhileProcessingTheP0FileInStandOffDir, currentXMLStandoffFile));
 		}
 		return false;
 		
@@ -113,29 +113,29 @@
 	public boolean writeAnnotationsInStandoff(File resultZipFile) throws IOException, CqiServerError, CqiClientException, InvalidCqpIdException, XMLStreamException {
 		
 		List<String> textsIds = Arrays.asList(corpus.getCorpusTextIdsList());
-		Log.info(NLS.bind("Exporting annotations of the {0} text(s).", StringUtils.join(textsIds, ", ")));
+		Log.info(NLS.bind(Messages.ExportingAnnotationsOfTheP0Texts, StringUtils.join(textsIds, ", "))); //$NON-NLS-2$
 		
-		File resultDirectory = new File(Toolbox.getTxmHomePath(), "results/" + corpus.getID() + "_annotations");
+		File resultDirectory = new File(Toolbox.getTxmHomePath(), "results/" + corpus.getID() + "_annotations"); //$NON-NLS-1$ //$NON-NLS-2$
 		DeleteDir.deleteDirectory(resultDirectory);
 		resultDirectory.mkdirs();
 		if (!(resultDirectory.exists() && resultDirectory.canWrite())) {
-			Log.warning(NLS.bind("ERROR: could not create/write temporary directory: {0}.", resultDirectory));
+			Log.warning(NLS.bind(Messages.ErrorCouldNotCreateWriteTemporaryDirectoryP0, resultDirectory));
 			return false;
 		}
 		
 		File inputDirectory = corpus.getProjectDirectory();
-		File corpusTxmDirectory = new File(inputDirectory, "txm/" + corpus.getID());
+		File corpusTxmDirectory = new File(inputDirectory, "txm/" + corpus.getID()); //$NON-NLS-1$
 		
-		Log.info(NLS.bind("Writing annotations XML files in {0}.", resultDirectory));
+		Log.info(NLS.bind(Messages.WritingAnnotationsXMLFilesInP0, resultDirectory));
 		for (String textid : textsIds) {
-			File currentXMLFile = new File(corpusTxmDirectory, textid + ".xml");
+			File currentXMLFile = new File(corpusTxmDirectory, textid + ".xml"); //$NON-NLS-1$
 			if (!currentXMLFile.exists()) {
-				Log.warning(NLS.bind("Error: cannot found ab XML-TXM file for text with the ''{0}'' id.", textid));
+				Log.warning(NLS.bind(Messages.ErrorCannotFoundAXMLTXMFileForTextWithTheP0Id, textid));
 				return false;
 			}
-			File currentXMLStandoffFile = new File(resultDirectory, textid + ".xml"); // To Be Changed ?
+			File currentXMLStandoffFile = new File(resultDirectory, textid + ".xml"); // To Be Changed ? //$NON-NLS-1$
 			if (!writeTextAnnotationToSyMoGIH(textid, currentXMLFile, currentXMLStandoffFile, resultDirectory)) {
-				Log.warning(NLS.bind("Error while writing annotations of text in {0}.", currentXMLStandoffFile));
+				Log.warning(NLS.bind(Messages.ErrorWhileWritingAnnotationsOfTextInP0, currentXMLStandoffFile));
 				return false;
 			}
 		}
@@ -143,7 +143,7 @@
 		Zip.compress(resultDirectory, resultZipFile, new ConsoleProgressBar(1));
 		DeleteDir.deleteDirectory(resultDirectory);
 		
-		Log.info(NLS.bind("Annotations saved in ''{0}''.", resultZipFile.getAbsolutePath()));
+		Log.info(NLS.bind(Messages.AnnotationsSavedInP0, resultZipFile.getAbsolutePath()));
 		return resultZipFile.exists();
 	}
 	
@@ -169,13 +169,13 @@
 		List<String> textsIds = Arrays.asList(corpus.getCorpusTextIdsList());
 		
 		File inputDirectory = corpus.getProjectDirectory();
-		File txmDirectory = new File(inputDirectory, "txm/" + corpus.getID());
+		File txmDirectory = new File(inputDirectory, "txm/" + corpus.getID()); //$NON-NLS-1$
 		
 		ArrayList<Annotation> textAnnotations = new ArrayList<Annotation>();
 		HashMap<String, ArrayList<Annotation>> annotationsPerTexts = new HashMap<String, ArrayList<Annotation>>();
 		
 		int currentText = 0;
-		File currentXMLFile = new File(txmDirectory, textsIds.get(currentText) + ".xml");
+		File currentXMLFile = new File(txmDirectory, textsIds.get(currentText) + ".xml"); //$NON-NLS-1$
 		
 		textAnnotations = new ArrayList<Annotation>();
 		annotationsPerTexts.put(textsIds.get(currentText), textAnnotations);
@@ -206,30 +206,30 @@
 			textAnnotations.add(currentAnnot);
 		}
 		
-		File tmpXMLTXMDirectory = new File(txmDirectory.getAbsolutePath() + "_tmp");
+		File tmpXMLTXMDirectory = new File(txmDirectory.getAbsolutePath() + "_tmp"); //$NON-NLS-1$
 		DeleteDir.deleteDirectory(tmpXMLTXMDirectory);
 		tmpXMLTXMDirectory.mkdirs();
 		if (!(tmpXMLTXMDirectory.exists() && tmpXMLTXMDirectory.canWrite())) {
-			Log.warning(NLS.bind("ERROR: could not create directory: {0}.", tmpXMLTXMDirectory));
+			Log.warning(NLS.bind(Messages.ErrorCouldNotCreateDirectoryP0, tmpXMLTXMDirectory));
 			return false;
 		}
 		
-		File previousXMLTXMDirectory = new File(txmDirectory.getAbsolutePath() + "_previous");
+		File previousXMLTXMDirectory = new File(txmDirectory.getAbsolutePath() + "_previous"); //$NON-NLS-1$
 		// DeleteDir.deleteDirectory(tmpXMLTXMDirectory);
 		previousXMLTXMDirectory.mkdirs();
 		if (!(previousXMLTXMDirectory.exists() && previousXMLTXMDirectory.canWrite())) {
-			Log.warning(NLS.bind("ERROR: could not create directory: {0}.", previousXMLTXMDirectory));
+			Log.warning(NLS.bind(Messages.ErrorCouldNotCreateDirectoryP0, previousXMLTXMDirectory));
 			return false;
 		}
 		
-		Log.fine("Annotations grouped per text for " + annotationsPerTexts.size() + " text" + (annotationsPerTexts.size() > 0 ? "s" : ""));
-		Log.fine(" - Writing temporary XML files in: " + tmpXMLTXMDirectory);
-		Log.fine(" - Copying previous version of XML files in: " + previousXMLTXMDirectory);
+		Log.fine("Annotations grouped per text for " + annotationsPerTexts.size() + " text" + (annotationsPerTexts.size() > 0 ? "s" : "")); //$NON-NLS-1$ //$NON-NLS-2$ //$NON-NLS-3$ //$NON-NLS-4$
+		Log.fine(" - Writing temporary XML files in: " + tmpXMLTXMDirectory); //$NON-NLS-1$
+		Log.fine(" - Copying previous version of XML files in: " + previousXMLTXMDirectory); //$NON-NLS-1$
 		// for all annotation PER TEXT, update the XML-TXM files
 		currentText = 0;
 		ConsoleProgressBar cpb = new ConsoleProgressBar(annotationsPerTexts.size());
 		while (currentText < end_limits.length) { // end limits : 10, 30, 45, 55, 103
-			currentXMLFile = new File(txmDirectory, textsIds.get(currentText) + ".xml");
+			currentXMLFile = new File(txmDirectory, textsIds.get(currentText) + ".xml"); //$NON-NLS-1$
 			ArrayList<Annotation> allAnnotations = annotationsPerTexts.get(textsIds.get(currentText));
 			if (allAnnotations != null && allAnnotations.size() > 0) {
 				ArrayList<Annotation> allSegmentAnnotations = new ArrayList<Annotation>();
@@ -246,18 +246,18 @@
 							allTokenAnnotations.add(a);
 						}
 						else {
-							Log.fine("Annotation " + a + " with type=" + a.getType() + " not found in default KR=" + defaultKR);
+							Log.fine("Annotation " + a + " with type=" + a.getType() + " not found in default KR=" + defaultKR); //$NON-NLS-1$ //$NON-NLS-2$ //$NON-NLS-3$
 						}
 					}
 					else {
-						Log.warning("Warning: unknowed type: " + a.getType());
+						Log.warning(Messages.WarningUnknownTypeP0 + a.getType());
 					}
 				}
 				
 				if (!writeAnnotationsInFile(currentXMLFile, start_limits[currentText],
 						allSegmentAnnotations, allTokenAnnotations,
 						tmpXMLTXMDirectory, previousXMLTXMDirectory)) {
-					Log.severe("Error while writing annotations of text " + currentXMLFile);
+					Log.severe(Messages.ErrorWhileWritingAnnotationsOfTextP0 + currentXMLFile);
 					return false;
 				}
 				else {
@@ -279,7 +279,7 @@
 	protected boolean writeAnnotationsInFile(File xmlFile, int text_start_position,
 			ArrayList<Annotation> segmentAnnotations, ArrayList<Annotation> tokenAnnotations, File tmpXMLTXMDirectory, File previousXMLTXMDirectory) throws CqiClientException, IOException,
 			CqiServerError, InvalidCqpIdException, XMLStreamException {
-		Log.fine("Writing annotations for text " + xmlFile + " segment annotations=" + segmentAnnotations.size() + " token annotations=" + tokenAnnotations.size());
+		Log.fine("Writing annotations for text " + xmlFile + " segment annotations=" + segmentAnnotations.size() + " token annotations=" + tokenAnnotations.size()); //$NON-NLS-1$ //$NON-NLS-2$ //$NON-NLS-3$
 		// System.out.println(segmentAnnotations);
 		// System.out.println(tokenAnnotations);
 		
@@ -297,15 +297,15 @@
 					return true;
 				}
 				else {
-					Log.severe("Error: could not replace XML-TXM file: " + xmlFile + " with " + tmpfile);
+					Log.severe(Messages.ErrorCouldNotReplaceXMLTXMFileP0WithP1 + xmlFile + " with " + tmpfile); //$NON-NLS-2$
 				}
 			}
 			else {
-				Log.severe("Error: result file " + tmpfile + " is malformed.");
+				Log.severe(Messages.ErrorResultFileP0IsMalformed + tmpfile + " is malformed."); //$NON-NLS-2$
 			}
 		}
 		else {
-			Log.severe("Error: while processing " + xmlFile + " in temp dir");
+			Log.severe(Messages.ErrorWhileProcessingP0InTempDir + xmlFile + " in temp dir"); //$NON-NLS-2$
 		}
 		return false;
 	}
Index: TXM/trunk/bundles/org.txm.annotation.kr.core/src/org/txm/annotation/kr/core/AnnotationSyMoGIHWriter.java
===================================================================
--- TXM/trunk/bundles/org.txm.annotation.kr.core/src/org/txm/annotation/kr/core/AnnotationSyMoGIHWriter.java	(revision 3882)
+++ TXM/trunk/bundles/org.txm.annotation.kr.core/src/org/txm/annotation/kr/core/AnnotationSyMoGIHWriter.java	(revision 3883)
@@ -15,6 +15,7 @@
 import javax.xml.stream.XMLStreamWriter;
 
 import org.eclipse.osgi.util.NLS;
+import org.txm.annotation.kr.core.messages.Messages;
 import org.txm.annotation.kr.core.repository.AnnotationType;
 import org.txm.importer.StaxIdentityParser;
 import org.txm.utils.logger.Log;
@@ -142,16 +143,16 @@
 		 */
 		boolean foundAnnot = false;
 		
-		if (types.contains(localname) && parser.getPrefix().equals("txm")) { // don't write txm annotation elements
+		if (types.contains(localname) && parser.getPrefix().equals("txm")) { // don't write txm annotation elements //$NON-NLS-1$
 			// System.out.println(" START "+ localname);
 			foundAnnot = true;
 			currentType = localname;
 			// <txm:actr author="gazelledess" ref="PhileasFogg" date="2016-09-05" start="56" end="57">
-			currentAuthor = parser.getAttributeValue(null, "author");
-			currentRef = parser.getAttributeValue(null, "ref");
-			currentStartPos = parser.getAttributeValue(null, "start");
-			currentEndPos = parser.getAttributeValue(null, "end");
-			currentDate = parser.getAttributeValue(null, "date");
+			currentAuthor = parser.getAttributeValue(null, "author"); //$NON-NLS-1$
+			currentRef = parser.getAttributeValue(null, "ref"); //$NON-NLS-1$
+			currentStartPos = parser.getAttributeValue(null, "start"); //$NON-NLS-1$
+			currentEndPos = parser.getAttributeValue(null, "end"); //$NON-NLS-1$
+			currentDate = parser.getAttributeValue(null, "date"); //$NON-NLS-1$
 			// annotation is here
 			startAnnotation = true;
 			positions = new ArrayList<String>();
@@ -176,8 +177,8 @@
 			super.processStartElement(); /// continue writing in file all elements, except the tags that are now in stand-off files
 			
 			// get words ids of the current annotations
-			if (localname.equals("w") && startAnnotation) {
-				String id = parser.getAttributeValue(null, "id");
+			if (localname.equals("w") && startAnnotation) { //$NON-NLS-1$
+				String id = parser.getAttributeValue(null, "id"); //$NON-NLS-1$
 				for (String typeIn : annotationsPositions.keySet()) {
 					positions = annotationsPositions.get(typeIn);
 					positions.add(id);
@@ -217,54 +218,54 @@
 	private XMLStreamWriter writeStartStandOffFile(File file) {
 		// System.out.println("writeStartStandOffFile ...");
 		
-		String ns = "http://www.tei-c.org/ns/1.0";
+		String ns = "http://www.tei-c.org/ns/1.0"; //$NON-NLS-1$
 		XMLOutputFactory output = XMLOutputFactory.newInstance();
 		XMLStreamWriter writer = null;
 		try {
 			writer = output.createXMLStreamWriter(new FileWriter(file));
 			writer.writeStartDocument();
-			writer.setPrefix("tei", ns);
+			writer.setPrefix("tei", ns); //$NON-NLS-1$
 			writer.setDefaultNamespace(ns);
 			
-			writer.writeStartElement("TEI");
+			writer.writeStartElement("TEI"); //$NON-NLS-1$
 			
-			writer.writeStartElement("teiHeader");
-			writer.writeStartElement("fileDesc");
+			writer.writeStartElement("teiHeader"); //$NON-NLS-1$
+			writer.writeStartElement("fileDesc"); //$NON-NLS-1$
 			
-			writer.writeStartElement("titleStmt");
-			writer.writeStartElement("title");
+			writer.writeStartElement("titleStmt"); //$NON-NLS-1$
+			writer.writeStartElement("title"); //$NON-NLS-1$
 			writer.writeCharacters(textid);
 			writer.writeEndElement(); // title
 			writer.writeEndElement(); // titleStmt
 			
-			writer.writeStartElement("publicationStmt");
-			writer.writeStartElement("p");
-			writer.writeCharacters("PUBLICATION INFO à renseigner");
+			writer.writeStartElement("publicationStmt"); //$NON-NLS-1$
+			writer.writeStartElement("p"); //$NON-NLS-1$
+			writer.writeCharacters("PUBLICATION INFO à renseigner"); //$NON-NLS-1$
 			writer.writeEndElement(); // p
 			writer.writeEndElement(); // publicationStmt
 			
-			writer.writeStartElement("sourceDesc");
-			writer.writeStartElement("p");
-			writer.writeCharacters("Ce document permet l'annotation sémantique de tous les textes, par auteur");
+			writer.writeStartElement("sourceDesc"); //$NON-NLS-1$
+			writer.writeStartElement("p"); //$NON-NLS-1$
+			writer.writeCharacters("Ce document permet l'annotation sémantique de tous les textes, par auteur"); //$NON-NLS-1$
 			writer.writeEndElement(); // p
 			writer.writeEndElement(); // sourceDesc
 			
 			writer.writeEndElement(); // </fileDesc>
-			writer.writeStartElement("encodingDesc");
-			writer.writeStartElement("projectDesc");
-			writer.writeStartElement("p");
-			writer.writeCharacters("Annotations created by " + currentAuthor + ", for the use in Symogih XML platform");
+			writer.writeStartElement("encodingDesc"); //$NON-NLS-1$
+			writer.writeStartElement("projectDesc"); //$NON-NLS-1$
+			writer.writeStartElement("p"); //$NON-NLS-1$
+			writer.writeCharacters("Annotations created by " + currentAuthor + ", for the use in Symogih XML platform"); //$NON-NLS-1$ //$NON-NLS-2$
 			writer.writeEndElement(); // p
 			writer.writeEndElement(); // </projectDesc>
 			writer.writeEndElement(); // </encodingDesc>
 			writer.writeEndElement(); // </teiHeader>
 			
 			
-			writer.writeStartElement("text");
-			writer.writeStartElement("body");
-			writer.writeCharacters("\n");
-			writer.writeStartElement("div");
-			writer.writeCharacters("\n");
+			writer.writeStartElement("text"); //$NON-NLS-1$
+			writer.writeStartElement("body"); //$NON-NLS-1$
+			writer.writeCharacters("\n"); //$NON-NLS-1$
+			writer.writeStartElement("div"); //$NON-NLS-1$
+			writer.writeCharacters("\n"); //$NON-NLS-1$
 		}
 		catch (XMLStreamException e) {
 			// TODO Auto-generated catch block
@@ -291,16 +292,16 @@
 	private void writeStartAnnotationToStandoffFile(String[] data, ArrayList<String> positions) {
 		// System.out.println("writeStartAnnotationToStandoffFile ...");
 		try {
-			currentWriter.writeStartElement("span");
-			currentWriter.writeAttribute("type", data[2]);
-			currentWriter.writeAttribute("ana", data[1]);
+			currentWriter.writeStartElement("span"); //$NON-NLS-1$
+			currentWriter.writeAttribute("type", data[2]); //$NON-NLS-1$
+			currentWriter.writeAttribute("ana", data[1]); //$NON-NLS-1$
 			StringBuffer listWids = new StringBuffer();
 			for (String posW : positions) {
-				listWids.append("#" + posW + " ");
+				listWids.append("#" + posW + " "); //$NON-NLS-1$ //$NON-NLS-2$
 			}
-			currentWriter.writeAttribute("target", listWids.toString().trim());
+			currentWriter.writeAttribute("target", listWids.toString().trim()); //$NON-NLS-1$
 			currentWriter.writeEndElement(); // span
-			currentWriter.writeCharacters("\n");
+			currentWriter.writeCharacters("\n"); //$NON-NLS-1$
 		}
 		catch (XMLStreamException e) {
 			// TODO Auto-generated catch block
@@ -310,7 +311,7 @@
 	
 	protected void processEndElement() throws XMLStreamException {
 		boolean foundAnnot = false;
-		if (types.contains(localname) && parser.getPrefix().equals("txm")) { // skip annotation end element
+		if (types.contains(localname) && parser.getPrefix().equals("txm")) { // skip annotation end element //$NON-NLS-1$
 			// System.out.println(" END "+ localname);
 			foundAnnot = true;
 			// annotation ends here
@@ -324,11 +325,11 @@
 		}
 		
 		if (!foundAnnot) {
-			if (localname.equals("TEI")) {
+			if (localname.equals("TEI")) { //$NON-NLS-1$
 				try {
 					for (String author : allannotations.keySet()) {
-						Log.info("    author=" + author);
-						File currentXmlFile = new File(xmlStandOffDirectory, filename.substring(0, filename.length() - 4) + "_" + currentAuthor + "_annotations.xml");
+						Log.info("    author=" + author); //$NON-NLS-1$
+						File currentXmlFile = new File(xmlStandOffDirectory, filename.substring(0, filename.length() - 4) + "_" + currentAuthor + "_annotations.xml"); //$NON-NLS-1$ //$NON-NLS-2$
 						
 						// write start of the stand-off file
 						currentWriter = writeStartStandOffFile(currentXmlFile);
@@ -340,22 +341,22 @@
 							ArrayList<String[]> datas = dates.get(date);
 							ArrayList<ArrayList<String>> positions = datesPositions.get(date);
 							
-							currentWriter.writeStartElement("div");
-							currentWriter.writeCharacters("\n");
-							currentWriter.writeStartElement("head");
-							currentWriter.writeStartElement("date");
-							currentWriter.writeAttribute("type", "annotation_date");
-							currentWriter.writeAttribute("when", date);
+							currentWriter.writeStartElement("div"); //$NON-NLS-1$
+							currentWriter.writeCharacters("\n"); //$NON-NLS-1$
+							currentWriter.writeStartElement("head"); //$NON-NLS-1$
+							currentWriter.writeStartElement("date"); //$NON-NLS-1$
+							currentWriter.writeAttribute("type", "annotation_date"); //$NON-NLS-1$ //$NON-NLS-2$
+							currentWriter.writeAttribute("when", date); //$NON-NLS-1$
 							currentWriter.writeEndElement(); // date
 							currentWriter.writeEndElement(); // head
-							currentWriter.writeCharacters("\n");
+							currentWriter.writeCharacters("\n"); //$NON-NLS-1$
 							
 							for (int i = 0; i < datas.size(); i++) {
 								writeStartAnnotationToStandoffFile(datas.get(i), positions.get(i));
 							}
 							
 							currentWriter.writeEndElement(); // div
-							currentWriter.writeCharacters("\n");
+							currentWriter.writeCharacters("\n"); //$NON-NLS-1$
 						}
 						
 						// write the end of the stand-off file
@@ -363,7 +364,7 @@
 					}
 				}
 				catch (Exception e) {
-					Log.warning(NLS.bind("Error with current writer: {0}.", currentWriter));
+					Log.warning(NLS.bind(Messages.ErrorWithCurrentWriterP0, currentWriter));
 					Log.printStackTrace(e);
 				}
 			}
@@ -373,15 +374,15 @@
 	
 	public static void main(String strs[]) {
 		try {
-			File xmlFile = new File("/home/mdecorde/TXM/corpora/TDM80J/txm/TDM80J", "tdm80j.xml");
-			File outfile = new File(xmlFile.getParentFile(), "tdm80j-tei.xml");
+			File xmlFile = new File("/home/mdecorde/TXM/corpora/TDM80J/txm/TDM80J", "tdm80j.xml"); //$NON-NLS-1$ //$NON-NLS-2$
+			File outfile = new File(xmlFile.getParentFile(), "tdm80j-tei.xml"); //$NON-NLS-1$
 			
 			File xmlStandOffDirectory = xmlFile.getParentFile();
 			List<AnnotationType> types = new ArrayList<AnnotationType>();
-			types.add(new AnnotationType("local", "actr_id", "actr"));
+			types.add(new AnnotationType("local", "actr_id", "actr")); //$NON-NLS-1$ //$NON-NLS-2$ //$NON-NLS-3$
 			AnnotationSyMoGIHWriter annotStdff;
 			try {
-				annotStdff = new AnnotationSyMoGIHWriter("TDBM80J", xmlFile, xmlStandOffDirectory, types, true);
+				annotStdff = new AnnotationSyMoGIHWriter("TDBM80J", xmlFile, xmlStandOffDirectory, types, true); //$NON-NLS-1$
 				annotStdff.process(outfile);
 			}
 			catch (MalformedURLException e) {
